Page MenuHomePhabricator

disallow properties with same name but different case
Closed, ResolvedPublic

Description

Disallow properties with same name but different case. Those are currently possible on test. Verify if that is also the case on production. Fix both.

https://test.wikidata.org/wiki/Property:P290
https://test.wikidata.org/wiki/Property:P291


Version: unspecified
Severity: normal
Whiteboard: u=dev c=backend p=0

Details

Reference
bz71785
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:53 AM
bzimport set Reference to bz71785.
bzimport added a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).Dec 1 2014, 2:31 PM
Lydia_Pintscher removed a subscriber: Wikidata-bugs.

Change 203531 had a related patch set uploaded (by Bene):
Dont allow properties with same label but different capitalization

https://gerrit.wikimedia.org/r/203531

Bene claimed this task.Apr 11 2015, 4:15 PM
Bene moved this task from Backlog to Review on the Wikidata-Sprint-2015-04-07 board.
Bene added a subscriber: Bene.

Change 203531 merged by jenkins-bot:
Ignore capitalization for label and description conflicts.

https://gerrit.wikimedia.org/r/203531

hoo closed this task as Resolved.Apr 14 2015, 7:40 PM
hoo removed projects: Patch-For-Review, patch-welcome.
hoo moved this task from Review to Done on the Wikidata-Sprint-2015-04-07 board.Apr 15 2015, 10:38 PM

Change 206820 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Revert "Ignore capitalization for label and description conflicts."

https://gerrit.wikimedia.org/r/206820

Change 206820 abandoned by Thiemo Mättig (WMDE):
Revert "Ignore capitalization for label and description conflicts."

Reason:
Per https://phabricator.wikimedia.org/T97129#1241103

https://gerrit.wikimedia.org/r/206820